> For the complete documentation index, see [llms.txt](https://docs.blockpi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockpi.io/build/api-reference/gnosis/net_peercount.md).

# net\_peerCount

Returns number of peers currently connected to the client.

#### **Parameters:**

None

#### **Returns:**

**QUANTITY** - integer of the number of connected peers.

#### Example:

{% code overflow="wrap" %}

```json
// Request
curl https://gnosis.blockpi.network/v1/rpc/your-rpc-key -X POST -H "Content-Type: application/json" --data '{"jsonrpc":"2.0","method":"net_peerCount","params":[],"id":1}'

// Result
{
    "jsonrpc": "2.0",
    "result": "0x32",
    "id": 83
}
```

{% endcode %}
